#import <AVFoundation/AVFoundation.h>
#import <WebRTC/RTCVideoCapturer.h>
#import "CapturerEventsDelegate.h"
#import "SocketConnection.h"

NS_ASSUME_NONNULL_BEGIN

@class SocketConnection;

@protocol ScreenCapturerDelegate <NSObject>
- (void)capturerDidEnd:(RTCVideoCapturer *)capturer;
@end

@interface ScreenCapturer : RTCVideoCapturer

@property(nonatomic, weak) id<ScreenCapturerDelegate> eventsDelegate;

- (instancetype)initWithDelegate:(__weak id<RTCVideoCapturerDelegate>)delegate;
- (void)startCaptureWithVideoConnection:(SocketConnection *)videoConnection 
                        audioConnection:(SocketConnection *)audioConnection;
- (void)stopCapture;

@end

NS_ASSUME_NONNULL_END
